This URL gets the performance monitoring settings at the Sensor level.
Resource URL
GET /sensor/<sensorId>/performancemonitoring
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Sensor id | Number | Yes |
Response Parameters
Following fields are returned.
Field Name | Description | Data Type |
|---|---|---|
| Inherit settings from the parent domain | Boolean |
| Enable metric collection | Boolean |
| Enable threshold analysis | Boolean |
| Settings visible to the child domain | Boolean |
| Enable CPU utilization metric collection | Boolean |
| Enable port throughput utilization metric collection | Boolean |
| List of threshold values | Array |
| Display values | Object |
Details of object in thresholds:
Field Name | Description | Data Type |
|---|---|---|
| Metric name | String |
| List of threshold details | Array |
| Name of the threshold | String |
| Rising/falling of threshold | String |
| Threshold value | Number |
| Reset threshold value | Number |
| Alarm enabled or not | Boolean |
Details of display:
Field Name | Description | Data Type |
|---|---|---|
| Memory usage value to be shown as medium usage | Number |
| Memory usage value to be shown as high usage | Number |
| Device throughput usage value to be shown as medium usage | Number |
| Device throughput usage value to be shown as high usage | Number |
Example
Request
GET https://<NSM_IP>/sdkapi/sensor/1001/performancemonitoring
Response
{
"inheritSettings": false,
"enableMetricCollection": true,
"enableThresholdAnalysis": true,
"visibleToChildAdminDomain": true,
"enableCPUUtilizationMetricCollection": true,
"enablePortThroughputUtilizationMetricCollection": true,
"thresholds": [{
"metric": "CPU Usage",
"thresholds": [{
"thresholdName": "High Utilization",
"direction": "Rising",
"thresholdValue": 92,
"resetThresholdValue": 72,
"enableAlarm": true
},
{
"thresholdName": "Medium Utilization",
"direction": "Rising",
"thresholdValue": 72,
"resetThresholdValue": 52,
"enableAlarm": true
}]
},
{
"metric": "Sensor Throughput Usage",
"thresholds": [{
"thresholdName": "High Utilization",
"direction": "Rising",
"thresholdValue": 91,
"resetThresholdValue": 71,
"enableAlarm": false
},
{
"thresholdName": "Medium Utilization",
"direction": "Rising",
"thresholdValue": 71,
"resetThresholdValue": 51,
"enableAlarm": true
},
{
"thresholdName": "Under Utilization",
"direction": "Falling",
"thresholdValue": 6,
"resetThresholdValue": 11,
"enableAlarm": true
}]
},
{
"metric": "L2 Error Drop",
"thresholds": [{
"thresholdName": "Too Many L2 Errors",
"direction": "Rising",
"thresholdValue": 99,
"resetThresholdValue": 51,
"enableAlarm": true
}]
},
{
"metric": "L3/L4 Error Drop",
"thresholds": [{
"thresholdName": "Too Many L3/L4 Errors",
"direction": "Rising",
"thresholdValue": 1001,
"resetThresholdValue": 101,
"enableAlarm": true
}]
},
{
"metric": "Memory Usage",
"thresholds": [{
"thresholdName": "High Utilization",
"direction": "Rising",
"thresholdValue": 91,
"resetThresholdValue": 71,
"enableAlarm": false
},
{
"thresholdName": "Medium Utilization",
"direction": "Rising",
"thresholdValue": 71,
"resetThresholdValue": 51,
"enableAlarm": false
}]
}],
"display": {
"mediumMemoryUsage": 76,
"highMemoryUsage": 91,
"mediumDeviceThroughputUsage": 76,
"highDeviceThroughputUsage": 91
}
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1106 | Invalid Sensor |
2 | 500 | 1001 | Internal error |